<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateFileablesTable extends Migration {

	public function up()
	{
		Schema::create('fileables', function(Blueprint $table) {
			$table->increments('id');
			$table->tinyInteger('type')->default('1');
			$table->string('file', 255)->nullable();
			$table->integer('fileable_id');
			$table->string('fileable_type', 255)->default('0');
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('fileables');
	}
}